<?php
/*---------------------------------------------------------------*/
/*
    Titre : CCRC - Carré, Cube et Racine Carrée                                                                         
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=652
    Auteur           : franckyi                                                                                           
    Date dition     : 04 Dc 2011                                                                                        
    Date mise  jour : 18 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/?>
<!DOCTYPE html>
<html>
	<head>
		<title>CCRC - Carré, Cube et Racine Carrée</title>
	</head>
	<style>
	
		body {
		padding-left: 50px;
		padding-right: 50px;
		padding-top: 150px;
		margin: 50px;
		font-family: Calibri, Verdana, Arial, serif; }
		
		fieldset {
		border-radius: 10px; 
		border: 1px groove black; 
		padding: 15px; }
		
		legend {
		font: bold 1.2em Calibri, Verdana, Arial, serif;
		border: 1px groove black;
		border-radius: 10px; 
		padding-top: 2px;
		padding-bottom: 2px;
		padding-left: 5px;
		padding-right: 5px; }
		
		label {
		display: block;
		width: 160px;
		float: left; }
	
	</style>
	<body>
		<form method="post">
			<fieldset>
				<legend>Nombre</legend>
				<label>Nombre</label> : <input type="number" min="0" step="0.1" name="nb"
 id="nb" autofocus required/><br />
			</fieldset>
			<br />
			<fieldset>
				<legend>Opérations</legend>
				<label>Carré</label> <input type="radio" name="op" value="carré" required
 /><br />
				<label>Cube</label> <input type="radio" name="op" value="cube" required
 /><br />
				<label>Racine Carrée</label> <input type="radio" name="op"
 value="racinecarrée" required /><br />
			</fieldset>
			<br />
			<fieldset>
				<legend>Calculer</legend>
				<label>Je confirme le calcul</label> <input type="checkbox" name="ok"
 required /><br /><br />
				<input type="submit" value="Calculer" name="env" />
			</fieldset>
		</form>
		<br />
		<br />
		<br />
		<br />
		<fieldset>
			<legend>Résultat</legend>
			<div id="rep">
<?php
    
    // Envoi - Début
    
        if(isset($_POST['env']))
        {
        
        // Vérification - Début
        
            // Si on a pas confirmé
            if(empty($_POST['ok'])) { $statut = false; }
            
            // Si on a pas spécifié de nombre
            elseif(empty($_POST['nb']) && isset($_POST['env'])) { $statut = 
false; }
            
            // Si on a pas spécifié d'opération
            elseif(empty($_POST['op']) && isset($_POST['env'])) { $statut = 
false; }
            
            // Sinon tout est bon
            else $statut = true;
            
            // Si il y'a un champ vide
            if($statut == false) { echo 
"<script>alert('Erreur, vérifiez que tout les champs sont remplis" .
" correctements et que vous avez coché la case de confirmation en bas.');</sc" .
"ript>"; exit; }
        
        // Vérification - Fin
        
        // Traitement - Début
        
            // On raccourcit les variables que l'on va utiliser
            $nb = $_POST['nb'];
            $op = $_POST['op'];
            
            // Si on a choisit "Carré"
            if($op == "carré") Carré($nb);
            
            // Si on a choisit "Cube"
            elseif($op == "carré") Cube($nb);
            
            // Si on a choisit "Racine carrée"
            else RacineCarrée($nb);
            
        // Traitement - Fin
        
        }    
        
    // Envoi - Fin
    
    // Non-Envoi - Début
    
        
// Au contraire, si on a pas envoyé, on affiche un message pour affirmer
        else echo "Aucun calcul à afficher.";
    
    // Non-Envoi - Fin
    
    // Fonctions - Début
    
        // Carré - Début
        
            function Carré($nb)
            {
                $rep = $nb * $nb;
                if($rep == 0) echo 
"Aucun calcul à afficher.<script>alert('Le champ du haut doit contenir un" .
" nombre !'); document.getElementById('nb').value = '';</script>"; 
                else echo 'Le résultat du carré de '. $nb .' est '. $rep .' !'
;
            }
        
        // Carré - Fin

        // Cube - Début
        
            function Cube($nb)
            {
                $rep = $nb * $nb * $nb;
                if($rep == 0) echo 
"Aucun calcul à afficher.<script>alert('Le champ du haut doit contenir un" .
" nombre !'); document.getElementById('nb').value = '';</script>";
                else echo 'Le résultat du cube de '. $nb .' est '. $rep .' !';
            }
        
        // Cube - Fin
        
        // Racine Carrée - Début
        
            function RacineCarrée($nb)
            {
                $rep = sqrt($nb);
                if($rep == 0) echo 
"Aucun calcul à afficher.<script>alert('Le champ du haut doit contenir un" .
" nombre !'); document.getElementById('nb').value = '';</script>";
                else echo 'Le résultat de la racine carrée de '. $nb .' est '.
 $rep .' !';
            }    
    
    // Fonctions - Fin

?>			
			</div>
		</fieldset>
	</body>
</html>
